package com.gxlu.ps.netcruise.md.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Calendar;

/* loaded from: com_gxlu_ps_netcruise_md_util.jar:com/gxlu/ps/netcruise/md/util/ExProperties.class */
public class ExProperties {
    protected ArrayList list;
    protected ArrayList keys;
    protected String fileName = null;
    protected String delims;

    public ExProperties() {
        this.list = null;
        this.keys = null;
        this.delims = "=";
        this.list = new ArrayList(100);
        this.keys = new ArrayList(100);
        this.delims = "=";
    }

    public ExProperties(String delims) {
        this.list = null;
        this.keys = null;
        this.delims = "=";
        this.list = new ArrayList(100);
        this.keys = new ArrayList(100);
        this.delims = delims;
    }

    public void load(String fileName) throws IOException {
        this.keys.clear();
        this.list.clear();
        this.fileName = fileName;
        File f = new File(fileName);
        if (!f.exists()) {
            throw new FileNotFoundException();
        }
        BufferedReader reader = new BufferedReader(new FileReader(fileName));
        while (true) {
            String content = reader.readLine();
            if (content != null) {
                this.keys.add(content.split(this.delims, 0)[0]);
                this.list.add(content);
            } else {
                reader.close();
                return;
            }
        }
    }

    public void reload() throws IOException {
        load(this.fileName);
    }

    public void save(String fileName) {
        try {
            PrintWriter writer = new PrintWriter(new FileWriter(fileName));
            int size = this.list.size();
            for (int i = 0; i < size; i++) {
                writer.println((String) this.list.get(i));
            }
            writer.flush();
            writer.close();
        } catch (IOException e) {
            tmpSave();
        }
    }

    public boolean setProperty(String section, String key, String value) {
        int sectionStart = this.keys.indexOf(String.valueOf(String.valueOf(new StringBuffer("[").append(section).append("]"))));
        if (-1 == sectionStart) {
            return false;
        }
        int size = this.keys.size();
        int i = sectionStart + 1;
        while (i < size) {
            try {
                String candidateKey = (String) this.keys.get(i);
                if (candidateKey.startsWith("[") && candidateKey.endsWith("]")) {
                    return false;
                }
                if (!candidateKey.equals(key)) {
                    i++;
                }
            } catch (ArrayIndexOutOfBoundsException e) {
                return false;
            }
        }
        try {
            this.list.set(i, String.valueOf(String.valueOf(new StringBuffer(String.valueOf(String.valueOf(key))).append(this.delims.substring(0, 1)).append(value))));
            return true;
        } catch (ArrayIndexOutOfBoundsException e2) {
            return false;
        }
    }

    public String getProperty(String section, String key, String def) {
        int sectionStart;
        if (section.equals("")) {
            sectionStart = 0;
        } else {
            sectionStart = this.keys.indexOf(String.valueOf(String.valueOf(new StringBuffer("[").append(section).append("]"))));
            if (-1 == sectionStart) {
                return def;
            }
        }
        int size = this.keys.size();
        int i = sectionStart + 1;
        while (i < size) {
            try {
                String candidateKey = (String) this.keys.get(i);
                if (candidateKey.startsWith("[") && candidateKey.endsWith("]")) {
                    return def;
                }
                if (!candidateKey.equals(key)) {
                    i++;
                }
            } catch (ArrayIndexOutOfBoundsException e) {
                return def;
            }
        }
        try {
            String value = ((String) this.list.get(i)).split(this.delims, -1)[1];
            return value.equals("") ? def : value;
        } catch (Exception e2) {
            return def;
        }
    }

    public String[] getSectionList() {
        ArrayList tmpList = new ArrayList();
        int sourceSize = this.list.size();
        for (int resultSize = 0; resultSize < sourceSize; resultSize++) {
            String s = (String) this.list.get(resultSize);
            if (s.startsWith("[") && s.endsWith("]")) {
                tmpList.add(s.substring(1, s.length() - 1));
            }
        }
        int resultSize2 = tmpList.size();
        if (resultSize2 <= 0) {
            return null;
        }
        String[] result = new String[resultSize2];
        for (int i = 0; i < resultSize2; i++) {
            result[i] = (String) tmpList.get(i);
        }
        return result;
    }

    public String getLine(int index) {
        try {
            String content = (String) this.list.get(index);
            return content;
        } catch (ArrayIndexOutOfBoundsException e) {
            return (String) null;
        }
    }

    public int indexOf(String content) {
        return this.list.indexOf(content);
    }

    protected void tmpSave() {
        Calendar cald = Calendar.getInstance();
        String year = Integer.toString(cald.get(1));
        String month = Integer.toString(cald.get(2) + 1);
        String day = Integer.toString(cald.get(5));
        String hour = Integer.toString(cald.get(11));
        String minute = Integer.toString(cald.get(12));
        String second = Integer.toString(cald.get(13));
        this.fileName = String.valueOf(String.valueOf(new StringBuffer(String.valueOf(String.valueOf(year))).append("-").append(month).append("-").append(day).append("-").append(hour).append("-").append(minute).append("-").append(second).append("_").append(this.fileName)));
        System.out.println(String.valueOf(String.valueOf(new StringBuffer("Can't open ini file. configure will be saved to ").append(this.fileName).append(" ."))));
        try {
            PrintWriter writer = new PrintWriter(new FileWriter(this.fileName));
            int size = this.list.size();
            for (int i = 0; i < size; i++) {
                writer.println((String) this.list.get(i));
            }
            writer.flush();
            writer.close();
        } catch (IOException e) {
            System.out.println(String.valueOf(String.valueOf(new StringBuffer("Sorry, Can't open ").append(this.fileName).append(", the configure will lost!!!"))));
        }
    }
}
